package resourcePredictor;

import clusterManagement.ApplicationNotFoundException;
import dataTypes.ResourceType;

/**
 * @author Fábio Augusto Firmo
 * 
 */
public class IntervalPredictor implements ResourcePredictor {

	ApplicationHistoryDatabaseStub db = null;

	public IntervalPredictor(ApplicationHistoryDatabaseStub db) {
		this.db = db;
	}

	@Override
	public Prediction predictNext(String applicationName) {
		return new Prediction(predictAttribute(applicationName,
				ResourceType.executionTime), predictAttribute(applicationName,
				ResourceType.memory));
	}

	public double predictAttribute(String applicationName, ResourceType resource) {
		double range = 0;
		double mean = 0;
		try {
			range = 1.96 * db.getStandardDeviation(applicationName, resource)
					/ Math.sqrt(db.size(applicationName));
			mean = db.getMean(applicationName, resource);
		} catch (ApplicationNotFoundException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		return mean + range;
	}
}
