package resourcePredictor;

import clusterManagement.ApplicationNotFoundException;
import dataTypes.ResourceType;

/**
 * @author Fábio Augusto Firmo
 * 
 */
public class MedianPredictor implements ResourcePredictor {

	private ApplicationHistoryDatabaseStub db = null;

	public MedianPredictor(ApplicationHistoryDatabaseStub db) {
		this.db = db;
	}

	@Override
	public Prediction predictNext(String applicationName) {
		double timeMedian = 0;
		double memMedian = 0;
		try {
			timeMedian = db.getMedian(applicationName,
					ResourceType.executionTime);
			memMedian = db.getMedian(applicationName, ResourceType.memory);
		} catch (ApplicationNotFoundException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		return new Prediction(timeMedian, memMedian);
	}

}
