package mocks;

import java.util.HashMap;

import clusterManagement.ApplicationRepository;

import dataTypes.ResourceType;

import resourcePredictor.ApplicationHistoryDatabaseStub;

public class ApplicationHistoryDatabaseMock extends
		ApplicationHistoryDatabaseStub {

	int size = 0;
	HashMap<ResourceType, Double> means = null;
	HashMap<ResourceType, Double> medians = null;
	HashMap<ResourceType, Double> standardDeviations = null;

	public ApplicationHistoryDatabaseMock() {
		super(null);
		means = new HashMap<ResourceType, Double>();
		medians = new HashMap<ResourceType, Double>();
		standardDeviations = new HashMap<ResourceType, Double>();
	}

	public void setSize(int size) {
		this.size = size;
	}

	public void setMean(ResourceType resource, double value) {
		means.put(resource, value);
	}

	public void setMedian(ResourceType resource, double value) {
		medians.put(resource, value);
	}

	public void setStandardDeviation(ResourceType resource, double value) {
		standardDeviations.put(resource, value);
	}

	public int size(String applicationName) {
		return size;
	}

	public double getMean(String applicationName, ResourceType resource) {
		return means.get(resource);
	}

	public double getMedian(String applicationName, ResourceType resource) {
		return medians.get(resource);
	}

	public double getStandardDeviation(String applicationName,
			ResourceType resource) {
		return standardDeviations.get(resource);
	}

}
